PricingEngine Class Referenceabstract

interface for pricing engines More...

`#include <ql/pricingengine.hpp>`

Inheritance diagram for PricingEngine:
[legend]

## Public Member Functions

virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
virtual void | reset ()=0
virtual void | calculate () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

interface for pricing engines